Portfolios
Get transaction by id
Get transaction by id
POST
/
0
/
private
/
GetCustodyTransaction
Get transaction by id
curl --request POST \
--url https://api.kraken.com/0/private/GetCustodyTransaction \
--header 'API-Key: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"nonce": 123,
"vault_id": "<string>",
"with_long_timeout": null,
"quote": null
}
'import requests
url = "https://api.kraken.com/0/private/GetCustodyTransaction"
payload = {
"nonce": 123,
"vault_id": "<string>",
"with_long_timeout": None,
"quote": None
}
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nonce: 123, vault_id: '<string>', with_long_timeout: null, quote: null})
};
fetch('https://api.kraken.com/0/private/GetCustodyTransaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/private/GetCustodyTransaction"
payload := strings.NewReader("{\n \"nonce\": 123,\n \"vault_id\": \"<string>\",\n \"with_long_timeout\": null,\n \"quote\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": [
{
"errorClass": "<string>",
"type": "<string>",
"errorMessage": "<string>"
}
],
"result": {
"transaction": {
"id": "TXURLTG-FFGYT-X7F73S",
"time": "2024-01-03T15:07:15.400Z",
"type": "trade",
"category": "trade",
"area": "spot_margin",
"status": "successful",
"ref_id": "TSGOQO3-RE57R-6QY57X",
"ref_id2": "TPIGLM-T664Y-JZSNTW",
"custody_extended": {
"custody_type": "pledge_collateral",
"ref_id_2": 0,
"approval_id": null,
"internal_transaction_id": null,
"transaction_hash": null,
"loan_id": "L_123"
}
},
"result_type": "complete"
}
}Authorizations
The "API-Key" header should contain your API key.
Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.
Query Parameters
Transaction ID
Body
application/json
Response
200 - application/json
Transaction retrieved.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"transaction": {
"id": "TXURLTG-FFGYT-X7F73S",
"time": "2024-01-03T15:07:15.400Z",
"type": "trade",
"category": "trade",
"area": "spot_margin",
"status": "successful",
"ref_id": "TSGOQO3-RE57R-6QY57X",
"ref_id2": "TPIGLM-T664Y-JZSNTW",
"custody_extended": {
"custody_type": "pledge_collateral",
"ref_id_2": 0,
"approval_id": null,
"internal_transaction_id": null,
"transaction_hash": null,
"loan_id": "L_123"
}
},
"result_type": "complete"
}
⌘I
Get transaction by id
curl --request POST \
--url https://api.kraken.com/0/private/GetCustodyTransaction \
--header 'API-Key: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"nonce": 123,
"vault_id": "<string>",
"with_long_timeout": null,
"quote": null
}
'import requests
url = "https://api.kraken.com/0/private/GetCustodyTransaction"
payload = {
"nonce": 123,
"vault_id": "<string>",
"with_long_timeout": None,
"quote": None
}
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nonce: 123, vault_id: '<string>', with_long_timeout: null, quote: null})
};
fetch('https://api.kraken.com/0/private/GetCustodyTransaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/private/GetCustodyTransaction"
payload := strings.NewReader("{\n \"nonce\": 123,\n \"vault_id\": \"<string>\",\n \"with_long_timeout\": null,\n \"quote\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": [
{
"errorClass": "<string>",
"type": "<string>",
"errorMessage": "<string>"
}
],
"result": {
"transaction": {
"id": "TXURLTG-FFGYT-X7F73S",
"time": "2024-01-03T15:07:15.400Z",
"type": "trade",
"category": "trade",
"area": "spot_margin",
"status": "successful",
"ref_id": "TSGOQO3-RE57R-6QY57X",
"ref_id2": "TPIGLM-T664Y-JZSNTW",
"custody_extended": {
"custody_type": "pledge_collateral",
"ref_id_2": 0,
"approval_id": null,
"internal_transaction_id": null,
"transaction_hash": null,
"loan_id": "L_123"
}
},
"result_type": "complete"
}
}